org.eclipse.graphiti.internal

## Class GraphitiPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.graphiti.internal.GraphitiPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class GraphitiPlugin
    extends Plugin

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`GraphitiPlugin()`

### Method Summary

All Methods Static Methods Concrete Methods
`static GraphitiPlugin` `getDefault()`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### GraphitiPlugin

    public GraphitiPlugin()

### Method Detail

#### getDefault

    public static GraphitiPlugin getDefault()